-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
-- Store time at mission start
local T0=timer.getTime()

-- Send message with current misson time to all coalisions
local function print_mission_time()
  local Tnow=timer.getTime()
  local mission_time=Tnow-T0
  local mission_time_minutes=mission_time/60
  local mission_time_seconds=mission_time%60
  local text=string.format("Mission Time: %02d:%02d", mission_time_minutes, mission_time_seconds)
  MESSAGE:New(text, 5):ToAll()
end

-- Start scheduler to report mission time.
--local Scheduler_Mission_Time = SCHEDULER:New(nil, print_mission_time, {}, 0, 20)

BASE:TraceOnOff(true)
BASE:TraceLevel(1)
BASE:TraceClass("RAT")

-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-- Liveries
local b737skins={"Air Algerie", "Air Berlin", "Air France", "airBaltic", "Airzena", "AM", "American_Airlines", "British Airways", "C40s", "Clean", "Disney", "EA", "easyjet", "FINNAIR", "HARIBO", "JA", "Jet2", "kulula", "LH", "Lufthansa BA", "Lufthansa KR", "OLD_BA", "OMAN AIR", "PAN AM", "Polskie Linie Lotnicze LOT", "QANTAS", "RYANAIR", "SouthWest Lone Star", "ThomsonFly", "TNT",  "Ukraine Airlines", "UPS"}
local b737={}

local b727skins={"ZERO G", "UNITED Old", "Southwest", "Singapore Airlines", "Lufthansa Oberhausen Old", "FedEx", "AEROFLOT", "Air France", "Alaska", "Alitalia", "American Airlines", "Delta Airlines", "Delta Airlines OLD", "Hapag Lloyd", "Lufthansa", "Northwest", "Pan Am", "UNITED"}
local b727={}

b737.outbound=RAT:New("RAT_B737", "B737 Outbound")
b737.outbound:SetDeparture("Beirut-Rafic Hariri")
b737.outbound:SetDestination("RAT Zone")
b737.outbound:Livery(b737skins)
b737.outbound:SetMaxRespawnTriedWhenSpawnedOnRunway(0)
b737.outbound:StatusReports(false)
b737.outbound:SetSpawnDelay(60)
b737.outbound:SetSpawnInterval(10)
b737.outbound:SetTakeoff("cold")
b737.outbound:RespawnInAirNotAllowed()
b737.outbound:RespawnAfterTakeoff()
b737.outbound:Spawn(3)

b727.outbound=RAT:New("RAT_B727", "B727 Outbound")
b727.outbound:SetDeparture("Beirut-Rafic Hariri")
b727.outbound:SetDestination("RAT Zone")
b727.outbound:Livery(b727skins)
b727.outbound:SetMaxRespawnTriedWhenSpawnedOnRunway(0)
b727.outbound:StatusReports(false)
b727.outbound:SetSpawnDelay(60)
b727.outbound:SetSpawnInterval(10)
b727.outbound:SetTakeoff("cold")
b727.outbound:RespawnInAirNotAllowed()
b727.outbound:RespawnAfterTakeoff()
b727.outbound:Spawn(4)
